Bug 46033 - gcc-4.5.1 fails to compile gcc-4.5.1
Summary: gcc-4.5.1 fails to compile gcc-4.5.1
Status: UNCONFIRMED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 4.5.1
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-15 10:34 UTC by w. szukalski
Modified: 2010-10-15 10:34 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
'stderr' output during compilation (4.50 KB, application/gzip)
2010-10-15 10:34 UTC, w. szukalski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description w. szukalski 2010-10-15 10:34:27 UTC
Created attachment 22051 [details]
'stderr' output during compilation

My last gcc version was gcc-4.0.0 . It failed to compile gcc-4.5.0, it failed
to compile gcc-4.4.4. Compilation stopped compiling JAVA lang.

I have now - using gcc-4.0.0 - first compiled gcc-4.5.1 without JAVA lang.
Compilation:OK, installation:OK

Then I used gcc-4.5.1 to compile gcc-4.5.1 including JAVA lang:

flags=CFLAGS='-march=athlon -mtune=athlon'
VERSION=gcc-4.5.1
#
do_configure:
    $(flags) ../$(VERSION)/configure \
    --prefix=/usr/local/$(VERSION) \
    --enable-languages=c,c++,fortran,java,objc,ada \
    --disable-nls \
    --with-x \
    --enable-java-awt=xlib,gtk \
    --enable-shared \
    --enable-threads=posix

Compilation failed. 'stage-current' contains:'stage3'.

winfried